<?php

namespace Modules\St\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Hr\Entities\EmployeeSite;
use Modules\St\Entities\Factory;

class FactoryMasterController extends Controller
{

    public function allSite()
    {
        try {
            $sites = EmployeeSite::all();
            $responseBody = $this->responseBody(true, "OutsideFactoryController", "allSite", $sites);
        } catch (Exception $exception) {
            $responseBody =  $this->responseBody(false, "OutsideFactoryController", "allSuppliers", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }










    public function saveFactory(Request $request)
    {
        try {
            $Factory = new Factory();
            //$Factory->factory_id = $request->get('factory_id');
            $Factory->name = $request->get('name');
            $Factory->site_id = $request->get('site_id');
            $Factory->status = 1;
            $Factory->save();
            $responseBody = $this->responseBody(true, "FactoryController", "saveFactory", true);
        } catch (Exception $exception) {
            $responseBody =  $this->responseBody(false, "FactoryController", "saveFactory", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }



    public function updateFactory(Request $request, $id)
    {
        try {
            $Factory = Factory::find($id);
            //$Factory->factory_id = $request->get('factory_id');
            $Factory->name = $request->get('name');
            $Factory->site_id = $request->get('site_id');
            $Factory->update();
            $responseBody = $this->responseBody(true, "FactoryController", "updateFactory", true);
        } catch (Exception $exception) {
            $responseBody =  $this->responseBody(false, "FactoryController", "updateFactory", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }



    public function changeStatus(Request $request, $id)
    {

        try {
            $Factory = Factory::find($id);
            $Factory->status = $request->get('status');
            $status = $Factory->update();
            if ($status) {
                $responseBody = $this->responseBody(true, "FactoryController", "changeStatus", null);
            } else {
                $responseBody = $this->responseBody(false, "FactoryController", "changeStatus", null);
            }
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "FactoryController", "error", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }



    public function deleteFactory($id)
    {

        try {
            $Factory = Factory::find($id);
            if ($Factory->delete()) {
                $responseBody = $this->responseBody(true, "FactoryController", "deleteFactory", null);
            } else {
                $responseBody = $this->responseBody(false, "FactoryController", "deleteFactory", null);
            }
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "FactoryController", "error", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }



    public function allFactory()
    {
        try {
            $query = 'SELECT st_factories.*,hr_employee_sites.site FROM st_factories INNER JOIN hr_employee_sites ON st_factories.site_id = hr_employee_sites.site_id ORDER BY st_factories.factory_id DESC';
            $result = DB::select($query);
            $responseBody = $this->responseBody(true, "FactoryController", "allFactory", $result);
        } catch (Exception $exception) {
            $responseBody =  $this->responseBody(false, "FactoryController", "allFactory", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }



    public function getFactory($id)
    {
        try {
            // $query = 'SELECT st_outside_factories.*,st_suppliers.supplier_name AS supplier FROM st_outside_factories INNER JOIN st_suppliers ON st_outside_factories.supplier_id = st_suppliers.supplier_id WHERE st_outside_factories.outside_factory_id = "' . $id . '"';
            //$result = DB::select($query);
            $Factory = Factory::find($id);
            $Factory->supplier = "";
            $site = EmployeeSite::find($Factory->site_id);
            if ($site) {
                $Factory->site = $site->site;
            }
            $responseBody = $this->responseBody(true, "FactoryController", "getFactory", $Factory);
        } catch (Exception $exception) {
            $responseBody =  $this->responseBody(false, "FactoryController", "getFactory", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }






    //responcebody
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }
}
