var FACTORY_ID = undefined;
$(document).ready(function () {


    $('#tblTax').DataTable({
        "scrollX": true,
        "order": [],
        "columns": [
            //{ "data": "factory_id" },
            { "data": "name" },
            { "data": "site" },
            { "data": "edit", className: "edit" },
            { "data": "view", className: "view" },
            { "data": "delete", className: "delete" },
            { "data": "status", className: "disable" },
        ],
        columnDefs: [
            { width: 50, targets: 2 },
            { width: 50, targets: 3 },
            { width: 50, targets: 4 },
            { width: 50, targets: 5 }
        ],
    });


    $('#btnAction').on('click', function () {
        if ($(this).text() == 'Save') {
            saveFactory();
        } else {
            updateFactory();
        }

    });
    allSite();
    allFactory();

});


function showModal() {
    $('#taxForm').trigger('reset');
    $('#taxAddModal').modal('toggle');
    $('#btnAction').show();
    $('#btnAction').text('Save');
}

function hideModal() {
    $('#taxAddModal').modal('hide');
}




function saveFactory() {

    if ($('#txtFactoryID').val() == '') {
        showWarningMessage("Please Enter Factory ID");
        return;
    }

    if ($('#txtFactoryName').val() == '') {
        showWarningMessage("Please Enter Factory name");
        return;
    }


    if ($('#txtSupplier').attr('data-id') == '') {
        showWarningMessage("Please Select Supplier");
        return;
    }

    $.ajax({
        type: "POST",
        url: '/st/FactoryController/saveFactory',
        data: {
            'factory_id': $('#txtFactoryID').val(),
            'name': $('#txtFactoryName').val(),
            'site_id': $('#cmbSite').val(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('data saved');
                hideModal();
            } else {
                showErrorMessage();
            }
            //location.reload();

        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {
            allFactory();
        }

    });
}




function updateFactory() {

    if ($('#txtFactoryID').val() == '') {
        showWarningMessage("Please Enter Factory ID");
        return;
    }

    if ($('#txtFactoryName').val() == '') {
        showWarningMessage("Please Enter Factory name");
        return;
    }


    if ($('#txtSupplier').attr('data-id') == '') {
        showWarningMessage("Please Select Supplier");
        return;
    }

    if (FACTORY_ID == undefined) {
        showWarningMessage("Invalied Tax.");
        return;
    }

    $.ajax({
        type: "PUT",
        url: '/st/FactoryController/updateFactory/' + FACTORY_ID,
        data: {
            'factory_id': $('#txtFactoryID').val(),
            'name': $('#txtFactoryName').val(),
            'site_id': $('#cmbSite').val(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('data saved');
                hideModal();
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {
            allFactory();
        }

    });
}



function allFactory() {
    $.ajax({
        type: "GET",
        url: "/st/FactoryController/allFactory",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var data = [];

                for (i = 0; i < response.data.result.length; i++) {
                    //var id = response.data.result[i]['factory_id'];
                    var factory_id = response.data.result[i]['factory_id'];
                    var name = response.data.result[i]['name'];
                    var site = response.data.result[i]['site'];
                    var status = response.data.result[i]['status'];
                    var string_id = "'" + factory_id + "'";

                    var status = "";
                    if (response.data.result[i]['status'] == 1) {
                        status = "checked";
                    }


                    data.push({
                        "name": name,
                        "site": site,
                        "edit": '<button class="btn btn-primary" onclick="outsideFactory(' + string_id + ',' + 0 + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="outsideFactory(' + string_id + ',' + 1 + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="delete_confirmation(' + string_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
                        "status": '<label class="switch"><input type="checkbox" id="1" onchange="changeStatus(event,' + string_id + ')" ' + status + '><span class="slider round"></span></label>'
                    });
                }


                var table = $('#tblTax').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        },

        error: function (error) {
            console.log(error);


        },
        complete: function () {

        }

    });
}





function outsideFactory(id, action) {
    $.ajax({
        type: "GET",
        url: '/st/FactoryController/getFactory/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {

                showModal();
                FACTORY_ID = response.data.result.factory_id;
                $('#txtFactoryID').val(response.data.result.factory_id);
                $('#txtFactoryName').val(response.data.result.name);
                $('#cmbSite').val(response.data.result.site_id);

                if (action == 1) {
                    $('#btnAction').hide();
                } else {
                    $('#btnAction').show();
                    $('#btnAction').text('Update');
                }

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}

function delete_confirmation(id) {

    swal({
        title: "Are you sure want to delete?",
        //text: "Once deleted, you will not be able to recover this record!",
        icon: "warning",
        buttons: {
            yes: {
                text: "Yes",
                value: true,
                className: 'btn btn-danger',
            },
            no: {
                text: "No",
                value: false,
                className: 'btn btn-primary',
            }
        },

    })
        .then((willDelete) => {
            if (willDelete) {
                _delete(id);
            }
        });

}


function _delete(id) {

    $.ajax({
        type: 'DELETE',
        url: '/st/FactoryController/deleteFactory/' + id,
        data: {

        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage("Outside Factory has been deleted successfully...");
                allFactory();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }
    });
}




function changeStatus(event, id) {
    var status = 0;
    if (event.target.checked) {
        status = 1;
    }

    $.ajax({
        type: 'PUT',
        url: '/st/FactoryController/changeStatus/' + id,
        data: {
            "status": status
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {

                showSuccessMessage("Factory status changed..");
                allFactory();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}


function allSite() {

    $.ajax({
        type: "GET",
        url: "/st/FactoryController/allSite",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {
                $('#cmbSite').empty();
                var site = response.data.result;
                console.log(site);
                for (var i = 0; i < site.length; i++) {
                    $('#cmbSite').append("<option value='" + site[i].site_id + "'>" + site[i].site + "</option>");
                }

            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}


/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}


/**
* generateID
* This function is used to generate id
* @param id This is the paramter to require id
*/
function generateID(id) {

    let pattern = {
        1: "000",
        2: "00",
        3: "0",
    };
    var length = Math.ceil(Math.log(id + 1) / Math.LN10);
    return pattern[length] + id;
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}

