<!doctype html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>RBS</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="{{ url('assets/media/image/favicon.png') }}" />

    <!-- Main css -->
    <link rel="stylesheet" href="{{ url('vendors/bundle.css') }}" type="text/css">

    <!-- Google font -->
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">

    @yield('head')

    <!-- App css -->
    <link rel="stylesheet" href="{{ url('assets/css/app.min.css') }}" type="text/css">

    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script>
        var user_id = '{{Auth::user()->user_id}}';
        var user_name = '{{Auth::user()->name}}';
        var user_email = '{{Auth::user()->email}}';
    </script>
    <style>
        .notification {
            color: white;
            text-decoration: none;
            padding: 15px 26px;
            position: relative;
            display: inline-block;
            border-radius: 2px;
        }


        .notification .badge {
            position: absolute;
            top: -10px;
            right: 10px;
            padding: 5px 5px;
            border-radius: 50%;
            background: red;
            color: white;
        }
    </style>
</head>

<body class="hidden-navigation scrollable-layout">
    <!-- Preloader -->
    <div class="preloader">
        <div class="preloader-icon"></div>
        <span>Loading...</span>
    </div>
    <!-- ./ Preloader -->

    <!-- Sidebar group -->
    <div class="sidebar-group">

        <!-- BEGIN: Settings -->
        <div class="sidebar" id="settings">
            <div class="card">
                <div class="card-body">
                    <h6 class="card-title d-flex justify-content-between">
                        Settings
                        <a class="btn-sidebar-close" href="#">
                            <i class="ti-close"></i>
                        </a>
                    </h6>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item pl-0 pr-0">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitch1" checked>
                                <label class="custom-control-label" for="customSwitch1">Allow notifications.</label>
                            </div>
                        </li>
                        <li class="list-group-item pl-0 pr-0">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitch2">
                                <label class="custom-control-label" for="customSwitch2">Hide user requests</label>
                            </div>
                        </li>
                        <li class="list-group-item pl-0 pr-0">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitch3" checked>
                                <label class="custom-control-label" for="customSwitch3">Speed up demands</label>
                            </div>
                        </li>
                        <li class="list-group-item pl-0 pr-0">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitch4" checked>
                                <label class="custom-control-label" for="customSwitch4">Hide menus</label>
                            </div>
                        </li>
                        <li class="list-group-item pl-0 pr-0">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitch5">
                                <label class="custom-control-label" for="customSwitch5">Remember next visits</label>
                            </div>
                        </li>
                        <li class="list-group-item pl-0 pr-0">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitch6">
                                <label class="custom-control-label" for="customSwitch6">Enable report
                                    generation.</label>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- END: Settings -->

        <!-- BEGIN: Chat List -->
        <div class="sidebar" id="chat-list">
            <div class="card">
                <div class="card-body">
                    <h6 class="card-title d-flex justify-content-between">
                        Chats
                        <a class="btn-sidebar-close" href="#">
                            <i class="ti-close"></i>
                        </a>
                    </h6>
                    <div class="list-group list-group-flush">
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-danger">
                                    <img src="{{ url('assets/media/image/user/women_avatar3.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow- 1">
                                <h6 class="mb-1">Cass Queyeiro</h6>
                                <span class="text-muted">
                                    <i class="fa fa-image mr-1"></i> Photo
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Yesterday</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-warning">
                                    <img src="{{ url('assets/media/image/user/man_avatar4.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow-1">
                                <h6 class="mb-1">Evered Asquith</h6>
                                <span class="text-muted">
                                    <i class="fa fa-video-camera mr-1"></i> Video
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Last week</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item px-0 d-flex align-items-start">
                            <div class="pr-3">
                                <div class="avatar avatar-state-danger">
                                    <span class="avatar-title bg-success rounded-circle">F</span>
                                </div>
                            </div>
                            <div>
                                <h6 class="mb-1">Francisco Ubsdale</h6>
                                <span class="text-muted">Hello how are you?</span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">2:32 PM</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item px-0 d-flex align-items-start">
                            <div class="pr-3">
                                <div class="avatar avatar-state-success">
                                    <img src="{{ url('assets/media/image/user/women_avatar1.jpg') }}" class="rounded-circle" alt="image">
                                </div>
                            </div>
                            <div>
                                <h6 class="mb-1">Natale Janu</h6>
                                <span class="text-muted">Hi!</span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="badge badge-primary badge-pill ml-auto mb-2">3</span>
                                <span class="small text-muted">08:27 PM</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-warning">
                                    <img src="{{ url('assets/media/image/user/women_avatar2.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow- 1">
                                <h6 class="mb-1">Orelie Rockhall</h6>
                                <span class="text-muted">
                                    <i class="fa fa-image mr-1"></i> Photo
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Yesterday</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-info">
                                    <img src="{{ url('assets/media/image/user/man_avatar1.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow-1">
                                <h6 class="mb-1">Barbette Bolf</h6>
                                <span class="text-muted">
                                    <i class="fa fa-video-camera mr-1"></i> Video
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Last week</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-secondary">
                                    <span class="avatar-title bg-warning rounded-circle">D</span>
                                </span>
                            </div>
                            <div>
                                <h6 class="mb-1">Dudley Laborde</h6>
                                <span class="text-muted">Hello how are you?</span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">2:32 PM</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-success">
                                    <img src="{{ url('assets/media/image/user/man_avatar2.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div>
                                <h6 class="mb-1">Barbaraanne Riby</h6>
                                <span class="text-muted">Hi!</span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">08:27 PM</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-danger">
                                    <img src="{{ url('assets/media/image/user/women_avatar3.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow- 1">
                                <h6 class="mb-1">Mariana Ondrousek</h6>
                                <span class="text-muted">
                                    <i class="fa fa-image mr-1"></i> Photo
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Yesterday</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-warning">
                                    <img src="{{ url('assets/media/image/user/man_avatar4.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow-1">
                                <h6 class="mb-1">Ruprecht Lait</h6>
                                <span class="text-muted">
                                    <i class="fa fa-video-camera mr-1"></i> Video
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Last week</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-info">
                                    <img src="{{ url('assets/media/image/user/man_avatar1.jpg') }}" class="rounded-circle" alt="image">
                                </span>
                            </div>
                            <div class="flex-grow-1">
                                <h6 class="mb-1">Cosme Hubbold</h6>
                                <span class="text-muted">
                                    <i class="fa fa-video-camera mr-1"></i> Video
                                </span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">Last week</span>
                            </div>
                        </a>
                        <a href="#" class="list-group-item d-flex px-0 align-items-start">
                            <div class="pr-3">
                                <span class="avatar avatar-state-secondary">
                                    <span class="avatar-title bg-secondary rounded-circle">M</span>
                                </span>
                            </div>
                            <div>
                                <h6 class="mb-1">Mallory Darch</h6>
                                <span class="text-muted">Hello how are you?</span>
                            </div>
                            <div class="text-right ml-auto d-flex flex-column">
                                <span class="small text-muted">2:32 PM</span>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- END: Chat List -->

    </div>
    <!-- ./ Sidebar group -->

    <!-- Layout wrapper -->
    <div class="layout-wrapper">

        <!-- Header -->
        <div class="header d-print-none">
            <div class="header-container">
                <div class="header-left">
                    <div class="navigation-toggler">
                        <a href="#" data-action="navigation-toggler">
                            <i data-feather="menu"></i>
                        </a>
                    </div>

                    <div class="header-logo">
                        <a href="{{ url('/') }}">
                            <!-- <img class="logo" src="{{ url('assets/media/image/logo.png') }}" alt="logo"> -->
                        </a>
                    </div>
                </div>

                <div class="header-body">
                    <div class="header-body-left">
                        <ul class="navbar-nav">
                            <li class="nav-item mr-3">
                                <div class="header-search-form">
                                    <form>
                                        <div class="input-group">
                                            <!--<div class="input-group-prepend">
                                                <button class="btn">
                                                    <i data-feather="search"></i>
                                                </button>
                                            </div>
                                            <input type="text" class="form-control" placeholder="Search">
                                            <div class="input-group-append">
                                                <button class="btn header-search-close-btn">
                                                    <i data-feather="x"></i>
                                                </button>
                                            </div>!-->
                                        </div>
                                    </form>
                                </div>
                            </li>
                            <!--<li class="nav-item dropdown d-none d-md-block">
                                <a href="#" class="nav-link" title="Apps" data-toggle="dropdown">Apps</a>
                                <div class="dropdown-menu dropdown-menu-big">
                                    <div class="border-bottom px-4 py-3 text-center d-flex justify-content-between">
                                        <h5 class="mb-0">Apps</h5>
                                    </div>
                                    <div class="p-3">
                                        <div class="row row-xs">
                                            <div class="col-6">
                                                <a href="#">
                                                    <div class="border-radius-1 text-center mb-3">
                                                        <figure class="avatar avatar-lg border-0">
                                                            <span class="avatar-title bg-primary text-white rounded-circle">
                                                                <i class="width-30 height-30" data-feather="message-circle"></i>
                                                            </span>
                                                        </figure>
                                                        <div class="mt-2">Chat</div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="col-6">
                                                <a href="#">
                                                    <div class="border-radius-1 text-center mb-3">
                                                        <figure class="avatar avatar-lg border-0">
                                                            <span class="avatar-title bg-secondary text-white rounded-circle">
                                                                <i class="width-30 height-30" data-feather="mail"></i>
                                                            </span>
                                                        </figure>
                                                        <div class="mt-2">Mail</div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="col-6">
                                                <a href="#">
                                                    <div class="border-radius-1 text-center">
                                                        <figure class="avatar avatar-lg border-0">
                                                            <span class="avatar-title bg-info text-white rounded-circle">
                                                                <i class="width-30 height-30" data-feather="check-circle"></i>
                                                            </span>
                                                        </figure>
                                                        <div class="mt-2">Todo List</div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="col-6">
                                                <a href="#">
                                                    <div class="border-radius-1 text-center">
                                                        <figure class="avatar avatar-lg border-0">
                                                            <span class="avatar-title bg-warning text-white rounded-circle">
                                                                <i class="width-30 height-30" data-feather="file"></i>
                                                            </span>
                                                        </figure>
                                                        <div class="mt-2">File Manager</div>
                                                    </div>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>!-->
                            <li class="nav-item dropdown d-none d-md-block">
                                <a href="#" class="nav-link" title="Actions" data-toggle="dropdown">Quick Links</a>
                                <div class="dropdown-menu">
                                    <a href="/welcome" class="dropdown-item">Main Board</a>
                                    <div class="dropdown-divider"></div>
                                    <a href="/hr/employeeList" class="dropdown-item">Employee</a>
                                    <div class="dropdown-divider"></div>
                                    <a href="/hr/printid" class="dropdown-item">ID Card</a>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div style="text-align: center;">
                        <label style="color: white;font-size: 16px;" title="Actions">Customer Support +94701610001</label>
                    </div>

                    <div class="header-body-right">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a href="#" class="nav-link mobile-header-search-btn" title="Search">
                                    <i data-feather="search"></i>
                                </a>
                            </li>

                            <li class="nav-item dropdown d-none d-md-block">
                                <a href="#" class="nav-link" title="Fullscreen" data-toggle="fullscreen">
                                    <i class="maximize" data-feather="maximize"></i>
                                    <i class="minimize" data-feather="minimize"></i>
                                </a>
                            </li>

                            <!--<li class="nav-item dropdown">
                                <a href="#" class="nav-link nav-link-notify" title="Chats" data-sidebar-target="#chat-list">
                                    <i data-feather="message-circle"></i>
                                </a>
                            </li>-->

                            @php($count=0)
                            @if(Auth::user())
                            @foreach(Auth::user()->Notifications as $notification)

                            @if($notification->read_at == null)
                            @php($count++)
                            @endif
                            @endforeach
                            @endif
                            <li class="nav-item dropdown">
                                <a href="#" id="notify-ico" class="notification nav-link" title="Notifications" data-toggle="dropdown">
                                    <span class="badge" id="notify-count">{{$count}}</span>
                                    <i data-feather="bell"></i>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
                                    <div class="border-bottom px-4 py-3 text-center d-flex justify-content-between align-items-center">
                                        <h5 class="mb-0">Notifications</h5>
                                        <small class="opacity-7" id="notification_count">{{$count}} unread notifications</small>
                                    </div>
                                    <div class="dropdown-scroll">
                                        <ul class="list-group list-group-flush" id="notification_content">
                                            @foreach(Auth::user()->Notifications as $notification)
                                            @if($notification->read_at == null)
                                            <li class="px-4 py-3 list-group-item">
                                                <a href="/readNotification/{{ $notification->id}}" class="d-flex align-items-center hide-show-toggler">

                                                    <div class="flex-grow-1">
                                                        <p class="mb-0 line-height-20 d-flex justify-content-between">
                                                            {{ $notification->data['data']}}
                                                            <i title="Mark as read" data-toggle="tooltip" class="hide-show-toggler-item fa fa-circle-o font-size-11"></i>
                                                        </p>
                                                        <!--<span class="text-muted small">20 min ago</span>!-->
                                                    </div>
                                                </a>
                                            </li>
                                            @endif
                                            @endforeach
                                        </ul>
                                    </div>
                                    <div class="px-4 py-3 text-right border-top">
                                        <ul class="list-inline small">
                                            <li class="list-inline-item mb-0">
                                                <a href="#">Mark All Read</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </li>

                            <!--<li class="nav-item">
                                <a href="#" title="Cart" class="nav-link" data-toggle="dropdown">
                                    <i data-feather="shopping-bag"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
                                    <div class="border-bottom px-4 py-3 text-center d-flex justify-content-between align-items-center">
                                        <h5 class="mb-0">Cart</h5>
                                        <small class="opacity-7">4 products</small>
                                    </div>
                                    <div class="dropdown-scroll">
                                        <div class="list-group list-group-flush">
                                            <a href="#" class="px-4 py-3 list-group-item d-flex">
                                                <div class="flex-shrink-0">
                                                    <figure class="avatar mr-3">
                                                        <img class="rounded" src="{{ url('assets/media/image/products/product6.png') }}" alt="Canon 4000D 18-55 MM">
                                                    </figure>
                                                </div>
                                                <div class="flex-grow-1">
                                                    <p class="mb-0 line-height-20 d-flex justify-content-between">
                                                        Canon 4000D 18-55 MM
                                                        <i title="Close" data-toggle="tooltip" class="hide-show-toggler-item small ti-close"></i>
                                                    </p>
                                                    <span class="text-muted small">X $1,200</span>
                                                </div>
                                            </a>
                                            <a href="#" class="px-4 py-3 list-group-item d-flex">
                                                <div class="flex-shrink-0">
                                                    <figure class="avatar mr-3">
                                                        <img class="rounded" src="{{ url('assets/media/image/products/product3.png') }}" alt="pineapple">
                                                    </figure>
                                                </div>
                                                <div class="flex-grow-1">
                                                    <p class="mb-0 line-height-20 d-flex justify-content-between">
                                                        Snopy SN-BT96 Pretty
                                                        <i title="Close" data-toggle="tooltip" class="hide-show-toggler-item small ti-close"></i>
                                                    </p>
                                                    <span class="text-muted small">X $250</span>
                                                </div>
                                            </a>
                                            <a href="#" class="px-4 py-3 list-group-item d-flex">
                                                <div class="flex-shrink-0">
                                                    <figure class="avatar mr-3">
                                                        <img src="{{ url('assets/media/image/products/product7.png') }}" class="rounded" alt="pineapple">
                                                    </figure>
                                                </div>
                                                <div class="flex-grow-1">
                                                    <p class="mb-0 line-height-20 d-flex justify-content-between">
                                                        Lenovo Tab E10 TB-X104F 32GB
                                                        <i title="Close" data-toggle="tooltip" class="hide-show-toggler-item small ti-close"></i>
                                                    </p>
                                                    <span class="text-muted small">X $100</span>
                                                </div>
                                            </a>
                                            <a href="#" class="px-4 py-3 list-group-item d-flex">
                                                <div class="flex-shrink-0">
                                                    <figure class="avatar mr-3">
                                                        <img class="rounded" src="{{ url('assets/media/image/products/product6.png') }}" alt="Canon 4000D 18-55 MM">
                                                    </figure>
                                                </div>
                                                <div class="flex-grow-1">
                                                    <p class="mb-0 line-height-20 d-flex justify-content-between">
                                                        Canon 4000D 18-55 MM
                                                        <i title="Close" data-toggle="tooltip" class="hide-show-toggler-item small ti-close"></i>
                                                    </p>
                                                    <span class="text-muted small">X $1,200</span>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                    <div class="px-4 py-3 border-top text-right small">
                                        <p class="d-flex justify-content-between align-items-center mb-1">
                                            <span>Sub Total</span>
                                            <span>$1,650</span>
                                        </p>
                                        <p class="d-flex justify-content-between align-items-center mb-1">
                                            <span>Taxes</span>
                                            <span>$15</span>
                                        </p>
                                        <p class="d-flex justify-content-between align-items-center mb-1 font-weight-bold">
                                            <span>Total</span>
                                            <span>$1,665</span>
                                        </p>
                                        <button class="btn btn-primary btn-block mt-2">
                                            Order and Payment <i class="ti-arrow-right ml-2"></i>
                                        </button>
                                    </div>
                                </div>
                            </li>-->

                            <!--<li class="nav-item dropdown">
                                <a href="#" class="nav-link" title="Settings" data-sidebar-target="#settings">
                                    <i data-feather="settings"></i>
                                </a>
                            </li>-->

                            <li class="nav-item dropdown">
                                <a href="#" class="nav-link dropdown-toggle" title="User menu" data-toggle="dropdown">
                                    <figure class="avatar avatar-sm">
                                        <img src="{{ url('assets/media/image/user/man_avatar3.jpg') }}" class="rounded-circle" alt="avatar">
                                    </figure>
                                    <span class="ml-2 d-sm-inline d-none" id="main_user_name">Demo</span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
                                    <div class="text-center py-4">
                                        <figure class="avatar avatar-lg mb-3 border-0">
                                            <img src="{{ url('assets/media/image/user/man_avatar3.jpg') }}" class="rounded-circle" alt="image">
                                        </figure>
                                        <h5 class="text-center" id="sub_user_name">Demo</h5>
                                        <div class="mb-3 small text-center text-muted" id="user_email">@demouser</div>
                                        <a href="#" class="btn btn-outline-light btn-rounded">Manage Your Account</a>
                                    </div>
                                    <div class="list-group">
                                        <a href="/changePassword" class="list-group-item">Change Password</a>
                                        <a href="/logout" class="list-group-item text-danger">Sign Out!</a>
                                    </div>
                                    <div class="p-4">
                                        <div class="mb-4">
                                            <h6 class="d-flex justify-content-between">
                                                Storage
                                                <span>%25</span>
                                            </h6>
                                            <div class="progress" style="height: 5px;">
                                                <div class="progress-bar bg-success-gradient" role="progressbar" style="width: 40%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
                                            </div>
                                        </div>
                                        <hr class="mb-3">
                                        <p class="small mb-0">
                                            <a href="#">Privacy policy</a>
                                        </p>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>

                <ul class="navbar-nav ml-auto">
                    <li class="nav-item header-toggler">
                        <a href="#" class="nav-link">
                            <i data-feather="arrow-down"></i>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <!-- ./ Header -->

        <!-- Content wrapper -->
        <div class="content-wrapper">
            <!-- begin::navigation -->
            <div class="navigation">
                <div class="navigation-header">
                    <span>Navigation</span>
                    <a href="#">
                        <i class="ti-close"></i>
                    </a>
                </div>
                <div class="navigation-menu-body">
                    <ul>
                        <li>
                            <a @if(request()->segment(2)== 'dashboard') class="active" @endif href="/st/dashboard">
                                <span class="nav-link-icon">
                                    <i data-feather="pie-chart"></i>
                                </span>
                                <span>Dashboard</span>
                            </a>
                        </li>

                        @if(Auth::user()->can('st_customer'))
                        <li>
                            <a href="#">
                                <span class="nav-link-icon">
                                    <i data-feather="user-check"></i>
                                </span>
                                <span>Customer</span>
                            </a>
                            <ul>
                                @if(Auth::user()->can('st_customer_create'))
                                <li>
                                    <a @if(request()->segment(2) == 'create_customer') class="active"
                                        @endif href="/st/st_customer">Create</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_customer_list'))
                                <li>
                                    <a @if(request()->segment(2) == 'customer_list') class="active"
                                        @endif href="/st/st_customerList">List</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_customer_attachment'))
                                <li>
                                    <a @if(request()->segment(2) == 'customer_attachment') class="active"
                                        @endif href="/st/st_customer_attachment">Attachment</a>
                                </li>
                                @endif
                            </ul>
                        </li>
                        @endif

                        @if(Auth::user()->can('st_supplier'))
                        <li>
                            <a href="#">
                                <span class="nav-link-icon">
                                    <i data-feather="user-check"></i>
                                </span>
                                <span>Supplier</span>
                            </a>
                            <ul>
                                @if(Auth::user()->can('st_supplier_create'))
                                <li>
                                    <a @if(request()->segment(2) == 'create_supplier') class="active"
                                        @endif href="/st/create_supplier">Create</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_supplier_list'))
                                <li>
                                    <a @if(request()->segment(2) == 'supplier_list') class="active"
                                        @endif href="/st/supplier_list">List</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_supplier_setting'))
                                <li>
                                    <a @if(request()->segment(2) == 'supplier_settings') class="active"
                                        @endif href="/st/supplier_settings">Setting</a>
                                </li>
                                @endif

                            </ul>
                        </li>
                        <li>
                            <a href="/st/factory">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Own Factory</span>
                            </a>
                        </li>
                        @endif
                        <li>
                            <a href="/st/outside_factories">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Outside Factories</span>
                            </a>
                        </li>

                        @if(Auth::user()->can('st_product'))
                        <li>
                            <a href="#">
                                <span class="nav-link-icon">
                                    <i data-feather="shopping-bag"></i>
                                </span>
                                <span>Product </span>
                            </a>
                            <ul>
                                @if(Auth::user()->can('st_product_create'))
                                <li>
                                    <a @if(request()->segment(2) == 'create_product') class="active"
                                        @endif href="/st/create_product">Create</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_product_list'))
                                <li>
                                    <a @if(request()->segment(2) == 'product_list') class="active"
                                        @endif href="/st/product_list">List</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_product_setting'))
                                <li>
                                    <a @if(request()->segment(2) == 'product_settings') class="active"
                                        @endif href="/st/product_settings">Setting</a>
                                </li>
                                @endif
                            </ul>
                        </li>
                        @endif

                        @if(Auth::user()->can('st_system_user'))
                        <li>
                            <a href="#">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>System User </span>
                            </a>
                            <ul>
                                @if(Auth::user()->can('st_system_user_create'))
                                <li>
                                    <a @if(request()->segment(2) == 'user') class="active"
                                        @endif href="/st/user">User</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_system_user_list'))
                                <li>
                                    <a @if(request()->segment(2) == 'userList') class="active"
                                        @endif href="/st/userList">User List</a>
                                </li>
                                @endif
                                @if(Auth::user()->can('st_system_user_setting'))
                                <li>
                                    <a @if(request()->segment(2) == 'userSetting') class="active"
                                        @endif href="/st/userSetting">Setting</a>
                                </li>
                                @endif
                                <!--<li>
                                    <a @if(request()->segment(2) == 'permission') class="active"
                                        @endif href="/st/permission">Permission</a>
                                </li>!-->

                            </ul>
                        </li>
                        @endif


                        @if(Auth::user()->can('st_system_audit'))
                        <li>
                            <a href="#">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>System Audit </span>
                            </a>
                            <ul>
                                @if(Auth::user()->can('st_employee_activity_log'))
                                <li>
                                    <a @if(request()->segment(2) == 'product_settings') class="active"
                                        @endif href="/st/employeeActivity">Employee Activity</a>
                                </li>
                                @endif
                            </ul>
                        </li>
                        @endif

                        @if(Auth::user()->can('st_country'))
                        <li>
                            <a href="#">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Country</span>
                            </a>
                            <ul>
                                @if(Auth::user()->can('st_country_list'))
                                <li>
                                    <a @if(request()->segment(2) == 'country_list') class="active"
                                        @endif href="/st/countryList">List</a>
                                </li>
                                @endif
                            </ul>
                        </li>
                        @endif


                        @if(Auth::user()->can('st_setting'))
                        <li>
                            <a href="/st/erp_setting">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Setting</span>
                            </a>
                        </li>
                        @endif

                        @if(Auth::user()->can('st_email_groups'))
                        <li>
                            <a href="/st/email_group">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Email Groups</span>
                            </a>
                        </li>
                        @endif


                        <li>
                            <a href="/st/general_settings">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Settings</span>
                            </a>
                        </li>

                        <li>
                            <a href="/st/tax">
                                <span class="nav-link-icon">
                                    <i data-feather="user-plus"></i>
                                </span>
                                <span>Tax</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- end::navigation -->

            <!-- Content body -->
            <div class="content-body">
                <!-- Content -->
                <div class="content @yield('parentClassName')">
                    @yield('content')
                </div>
                <!-- ./ Content -->

                <!-- Footer -->
                <footer class="content-footer">
                    <div>© {{ date('Y') }} - <a href="" target="_blank">Rapidventure Bussiness Solutions</a></div>
                    <div>
                        <nav class="nav">
                            <a href="#" class="nav-link">Licenses</a>
                            <a href="#" class="nav-link">Change Log</a>
                            <a href="#" class="nav-link">Get Help</a>
                        </nav>
                    </div>
                </footer>
                <!-- ./ Footer -->
            </div>
            <!-- ./ Content body -->
        </div>
        <!-- ./ Content wrapper -->
    </div>
    <!-- ./ Layout wrapper -->

    <!-- Main scripts -->
    <script src="{{ url('vendors/bundle.js') }}"></script>

    @yield('script')

    <!-- App scripts -->
    <script src="{{ url('assets/js/app.min.js') }}"></script>
    <script>
        $('#main_user_name').text(user_name);
        $('#sub_user_name').text(user_name);
        $('#user_email').text(user_email);
    </script>
</body>

</html>